#!/bin/bash
ipedir="/mnt/c/Util/Texte/Ipe" # c:\Util\Texte\Ipe

# Paths in the given sendto-argument are windows-style (ipetools need windows paths)
path=$(wslpath -a "$1")
basepath="${path%.*}" # delete suffix from wslpath
winbasepath="${1%.*}"
#echo -"$1"
#echo -"$path"
#echo -"$basepath"
#echo -"$winbasepath"

# false argument number error
if [[ $# != 1 ]] || [[ $path != *.ipe ]]; then # $# is the number of arguments
    echo 'Argument mismatch: Pass exactly one .ipe-file *. This will be converted to *Print.pdf.'
	read -n 1
    exit 0
fi

# add date and delete ink-consuming header for print version using ipescript
cp "$basepath.ipe" "$basepath.temp.ipe" # create temp-file (has to end with .ipe for ipescript)
$ipedir/bin/ipescript.exe add-style "$(wslpath -w "$ipedir")\styles\jensprint.isy" "$winbasepath.temp.ipe"
rm -f "$basepath.temp.ipe.bak"

# export to pdf without .ipe-source and without comments and using the marked ipe-views only (or the last view on a page if no view in this page is marked)
$ipedir/bin/ipetoipe.exe -pdf -export -markedview "$winbasepath.temp.ipe" "${winbasepath}Print.pdf"
rm -f "$basepath.temp.ipe"

#read -n 1 # press key